Polska Pomoc Simple Machines Forum - www.smf.pl
http://hosting.pro-linuxpl.com/

Pobierz tłumaczenie

Menu

38 Gości, 0 Użytkowników

Przyjaciele smf.pl

DzinerStudio

http://linuxpl.com/

Strony: [1] 2 3 ... 27

SMF 2.0.11 wydane

Zespół Simple Machines Forum wydał nową aktualizację serii 2.0 oznaczoną numerem 2.0.11.

Aktualizacja poprawia w sumie tylko jedną, ale ważną ze względów bezpieczeństwa funkcję, która sprawdza dane wprowadzane w formularzach na forum. Jest to aktualizacja poprawiająca bezpieczeństwo, więc zalecane jest jej jak najszybsze zainstalowanie.

Paczkę z aktualizacją oraz instrukcje ręcznej aktualizacji znajdziecie tutaj: http://custom.simplemachines.org/upgrades/

Lista zmian w stosunku do SMF 2.0.10:
SMF 2.0.11                                                    September 18 2015
===============================================================================

September 2015
-------------------------------------------------------------------------------
 ! Security vulnerability patched (reported by Andrea Palazzo - Truel IT)
 ! safe_unserialize() function added to Subs.php
 ! Instances of unserialize() with user-supplied data changed to safe_unserialize()

Pełna lista zmian znajduje się w dziale plików na simplemachines.org: http://download.simplemachines.org/

SMF 2.1 Beta 2 wydane

Zespół Simple Machines wydał drugą testową wersję SMF 2.1.

SMF 2.1 Beta 2 to kolejne poprawki, które zbliżają nas do kolejnej stabilnej wersji SMF. Najważniejsze zmiany, które wprowadzono od wydania pierwszej bety to:
- większa możliwość konfiguracji alertów i powiadomień z poziomu centrum administracji
- w celu zwiększenia wydajności w nowych instalacjach baza danych domyślnie używać będzie mechanizmu InnoDB
- wsparcie dla wyszukiwania pełnotekstowego dla MySQL 5.6.4 i nowszych
- opcjonalne uwierzytelnianie wielopoziomowe w celu zwiększenia bezpieczeństwa

Pełną listę zmian mozna znaleźć na stronie https://github.com/SimpleMachines/SMF2.1 .

Przed instalacją wersji beta SMF 2.1 upewnijcie się, że wasz serwer spełnia minimalne wymagania: PHP 5.3.8+ oraz MySQL 5.0.3+ lub PostgresSQL 8.0+. Jeśli serwer posiada starsze wersje PHP/MySQL/PostgresSQL SMF 2.1 nie będzie działało. SMF 2.1 oznacza także koniec wsparcia dla starszych przeglądarek internetowych: IE6 oraz IE7, wciąż wspierane będzie IE8+ (zalecana jest wersja IE10+) oraz przeglądarki o podobnych standardach (nowe wersje Chrome, Safari, Firefox, Opera itd.).

Procedura instalacji i aktualizacji pozostaje niezmieniona, jednak należy pamiętać po aktualizacji swojego forum do wersji 2.1 nie mozna się już cofnąć, więc przemyślcie dokładnie czy już teraz chcecie zrobić taką aktualizację.
Czytaj więcej...

Strony: [1] 2 3 ... 27